# WORMBASE
[SAMPLE]
accession java.lang.Integer 25724

[TEST_DATUM]
Y39A1A.21

[CORE]
FIELD_ANNOTATION         SELECT comments FROM WORMBASE__DATA__$COMMENTS WHERE AK_WORMBASE__DATA__id='@FIELD_ACCESSION@'
FIELD_CDNA 	         SELECT CDNA FROM WORMBASE__DATA__$CDNA WHERE AK_WORMBASE__DATA__id='@FIELD_ACCESSION@'
FIELD_CONFIRMATION_TYPE  SELECT type FROM WORMBASE__DATA__$CONFIRMATION, WORMBASE__$CONFIRMED WHERE AK_WORMBASE__DATA__id='@FIELD_ACCESSION@' AND AK_WORMBASE__$CONFIRMED__id=WORMBASE__$CONFIRMED.id
FIELD_PROTEIN            SELECT protein FROM WORMBASE__DATA__$CORRESP_PROTEIN WHERE AK_WORMBASE__DATA__id='@FIELD_ACCESSION@'
FIELD_LOCUS	         SELECT locus FROM WORMBASE__DATA__$GENOMIC_LOCUS WHERE AK_WORMBASE__DATA__id='@FIELD_ACCESSION@'
FIELD_PCR_PRODUCT        SELECT product FROM WORMBASE__DATA__$PCR_PRODUCT WHERE AK_WORMBASE__DATA__id='@FIELD_ACCESSION@'
FIELD_UTR                SELECT UTR FROM WORMBASE__DATA__$UTR WHERE AK_WORMBASE__DATA__id='@FIELD_ACCESSION@'

[LINKAGE_TO]
LINK_ORTHOLOG	 SELECT INPARANOID__DATA.id from INPARANOID__DATA__LINKAGES$SWISSPROT, INPARANOID__DATA, WORMBASE__DATA__LINKAGES$SWISSPROT WHERE INPARANOID__DATA__LINKAGES$SWISSPROT.FKDest__value = WORMBASE__DATA__LINKAGES$SWISSPROT.FKDest__value AND INPARANOID__DATA.GroupID = INPARANOID__DATA__LINKAGES$SWISSPROT.FKSrc__value AND INPARANOID__DATA.id <> WORMBASE__DATA__LINKAGES$SWISSPROT.FKDest__value AND WORMBASE__DATA__LINKAGES$SWISSPROT.FKSrc__value ='@FIELD_ACCESSION@' ORDER BY INPARANOID__DATA.id
LINK_SWISSPROT   SELECT FKDest__value FROM WORMBASE__DATA__LINKAGES$SWISSPROT WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_TREMBL      SELECT FKDest__value FROM WORMBASE__DATA__LINKAGES$TREMBL WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_LOCUSLINK   SELECT FKDest__value FROM WORMBASE__DATA__LINKAGES$LOCUSLINK WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_EMBL        SELECT FKDest__value FROM WORMBASE__DATA__LINKAGES$EMBL WHERE FKSrc__value='@FIELD_ACCESSION@'
LINK_GO          SELECT FKDest__value FROM WORMBASE__DATA__LINKAGES$GO WHERE FKSrc__value='@FIELD_ACCESSION@'

[LINKAGE_FROM]
LINK_ORTHOLOG	 SELECT WORMBASE__DATA__LINKAGES$SWISSPROT.FKSrc__value from INPARANOID__DATA__LINKAGES$SWISSPROT, INPARANOID__DATA, WORMBASE__DATA__LINKAGES$SWISSPROT WHERE INPARANOID__DATA__LINKAGES$SWISSPROT.FKDest__value = WORMBASE__DATA__LINKAGES$SWISSPROT.FKDest__value AND INPARANOID__DATA.GroupID = INPARANOID__DATA__LINKAGES$SWISSPROT.FKSrc__value AND INPARANOID__DATA.id <> WORMBASE__DATA__LINKAGES$SWISSPROT.FKDest__value AND INPARANOID__DATA.id='@FIELD_ACCESSION@'
LINK_SWISSPROT   SELECT FKSrc__value FROM WORMBASE__DATA__LINKAGES$SWISSPROT WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_TREMBL      SELECT FKSrc__value FROM WORMBASE__DATA__LINKAGES$TREMBL WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_LOCUSLINK   SELECT FKSrc__value FROM WORMBASE__DATA__LINKAGES$LOCUSLINK WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_EMBL        SELECT FKSrc__value FROM WORMBASE__DATA__LINKAGES$EMBL WHERE FKDest__value='@FIELD_ACCESSION@'
LINK_GO          SELECT FKSrc__value FROM WORMBASE__DATA__LINKAGES$GO WHERE FKDest__value='@FIELD_ACCESSION@'

[KEYWORD]
FIELD_ACCESSION          SELECT id FROM WORMBASE__DATA WHERE id LIKE '@keyword@'
FIELD_ANNOTATION         SELECT AK_WORMBASE__DATA__id FROM WORMBASE__DATA__$COMMENTS WHERE %comments% LIKE '@keyword@' ORDER BY AK_WORMBASE__DATA__id ASC
FIELD_CDNA               SELECT AK_WORMBASE__DATA__id FROM WORMBASE__DATA__$CDNA WHERE %CDNA% LIKE '@keyword@' ORDER BY AK_WORMBASE__DATA__id ASC
FIELD_CONFIRMATION_TYPE  SELECT AK_WORMBASE__DATA__id FROM WORMBASE__DATA__$CONFIRMATION, WORMBASE__$CONFIRMED  WHERE AK_WORMBASE__$CONFIRMED__id=WORMBASE__$CONFIRMED.id AND %type% LIKE '@keyword@' ORDER BY AK_WORMBASE__DATA__id ASC
FIELD_PROTEIN            SELECT AK_WORMBASE__DATA__id FROM WORMBASE__DATA__$CORRESP_PROTEIN WHERE %protein% LIKE '@keyword@' ORDER BY AK_WORMBASE__DATA__id ASC
FIELD_LOCUS              SELECT AK_WORMBASE__DATA__id FROM WORMBASE__DATA__$GENOMIC_LOCUS WHERE %locus% LIKE '@keyword@' ORDER BY AK_WORMBASE__DATA__id ASC
FIELD_PCR_PRODUCT        SELECT AK_WORMBASE__DATA__id FROM WORMBASE__DATA__$PCR_PRODUCT WHERE %product% LIKE '@keyword@' ORDER BY AK_WORMBASE__DATA__id ASC
FIELD_UTR                SELECT AK_WORMBASE__DATA__id FROM WORMBASE__DATA__$UTR WHERE %utr% LIKE '@keyword@' ORDER BY AK_WORMBASE__DATA__id ASC

